package com.enterprise.manage.modules.asset.domain;

import com.enterprise.manage.common.base.BaseDomain;

import java.math.BigDecimal;

/**
 * 描述：房产盘活利用信息对象 house_revitalize_utilize
 *
 * @author QingLi Wang
 * 2023-11-28 09:43
 */
public class HouseRevitalizeUtilize extends BaseDomain {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 
     */
    private Long houseId;

    /**
     * 盘活路径
     */
    private String revitalizationPath;

    /**
     * 盘活面积（亩）
     */
    private Long revitalizationArea;

    /**
     * 实现经济效益（万元）
     */
    private BigDecimal economicBenefits;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getHouseId() {
        return houseId;
    }

    public void setHouseId(Long houseId) {
        this.houseId = houseId;
    }

    public String getRevitalizationPath() {
        return revitalizationPath;
    }

    public void setRevitalizationPath(String revitalizationPath) {
        this.revitalizationPath = revitalizationPath;
    }

    public Long getRevitalizationArea() {
        return revitalizationArea;
    }

    public void setRevitalizationArea(Long revitalizationArea) {
        this.revitalizationArea = revitalizationArea;
    }

    public BigDecimal getEconomicBenefits() {
        return economicBenefits;
    }

    public void setEconomicBenefits(BigDecimal economicBenefits) {
        this.economicBenefits = economicBenefits;
    }
}
